//===========================================================================
//
//  Code written for CFA-10009 development board
//  (3.3v AtMega2561 at 8MHz)
//
//  CRYSTALFONTZ CFAL12832DB 128x23 OLED in I2C mode
//
//  ref: https://www.crystalfontz.com/product/cfal12832db
//
//  2016 - 04 - 13 Brent A. Crosby
//===========================================================================
//This is free and unencumbered software released into the public domain.
//
//Anyone is free to copy, modify, publish, use, compile, sell, or
//distribute this software, either in source code form or as a compiled
//binary, for any purpose, commercial or non-commercial, and by any
//means.
//
//In jurisdictions that recognize copyright laws, the author or authors
//of this software dedicate any and all copyright interest in the
//software to the public domain. We make this dedication for the benefit
//of the public at large and to the detriment of our heirs and
//successors. We intend this dedication to be an overt act of
//relinquishment in perpetuity of all present and future rights to this
//software under copyright law.
//
//THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
//MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
//IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
//OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
//ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
//OTHER DEALINGS IN THE SOFTWARE.
//
//For more information, please refer to <http://unlicense.org/>
//===========================================================================
void key_init(void);
uint8_t any_keys_waiting(void);

// getkey() will return one of the KEY_* constants.
uint8_t getkey(void);

#define KEY_NONE           0
#define KEY_CANCEL_PRESS   1
#define KEY_PLUS_PRESS     2
#define KEY_MINUS_PRESS    3
#define KEY_ENTER_PRESS    4
#define KEY_CANCEL_RELEASE 5
#define KEY_PLUS_RELEASE   6
#define KEY_MINUS_RELEASE  7
#define KEY_ENTER_RELEASE  8
//===========================================================================

